Qt 5.7 | Qt Charts | C++ Classes | QBoxPlotLegendMarker

Qt 5.7.1 Reference Documentation

# QBoxPlotLegendMarker Class

QLegendMarker subclass for box plot series. More...

Header: | #include <QBoxPlotLegendMarker>
Inherits: | QLegendMarker

- List of all members, including inherited members

## Public Functions

virtual | ~QBoxPlotLegendMarker()

## Reimplemented Public Functions

virtual QBoxPlotSeries * | series()
virtual LegendMarkerType | type()

- 14 public functions inherited from QLegendMarker

### Additional Inherited Members

- 6 properties inherited from QLegendMarker
- 8 signals inherited from QLegendMarker

## Detailed Description

QLegendMarker subclass for box plot series.

QBoxPlotLegendMarker is related to QBoxPlotSeries classes.

See also QLegend and QBoxPlotSeries.

## Member Function Documentation

### `[virtual]` QBoxPlotLegendMarker::~QBoxPlotLegendMarker()

Destructor

### `[virtual]` QBoxPlotSeries *QBoxPlotLegendMarker::series()

Reimplemented from QLegendMarker::series().

Returns the related series

### `[virtual]` LegendMarkerType QBoxPlotLegendMarker::type()

Reimplemented from QLegendMarker::type().

Returns QLegendMarker::LegendMarkerTypeBoxPlot